# Class FileIndexChrPos.LineAndPos

java.lang.Object
org.snpeff.vcf.FileIndexChrPos.LineAndPos

Enclosing class:
  `FileIndexChrPos`

public class FileIndexChrPos.LineAndPos extends Object
A line and the position on the file where it begins

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`line`
`long`
`position`

## Constructor Summary

Constructors
Constructor
Description
`LineAndPos()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### line

public String line

### position

public long position

## Constructor Details

### LineAndPos

public LineAndPos()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`